import discord
import random

intents = discord.Intents.default()
intents.message_content = True

client = discord.Client(intents=intents)

@client.event
async def on_ready():
    print(f'We have logged in as {client.user}')

@client.event
async def on_message(message):
    if message.author == client.user or "-quote" in message.content or "-addquote" in message.content:
        return

    if "vasile" in message.content:
        sentence = ""
        length = random.randint(5, 25)
        with open("data.txt", "r") as dataFile:
            content = dataFile.read().split("\n")
            for i in range(length):
                sentence = sentence + random.choice(content).replace("\n", "").replace("@", "\\@\\") + " "
        await message.channel.send(sentence)
        return

    with open("data.txt", "a") as dataFile:
        for word in message.content.split(" "):
            dataFile.write(word.replace(" ", "").replace(".", "").replace(",", "") + "\n")


with open("token.txt") as token:
    client.run(token.read())